// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])


.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }

    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
	
	setTimeout(function() {
        navigator.splashscreen.hide();
    }, 100);
	
	if(window.Connection) {
		
	if(navigator.connection.type != Connection.NONE) {

		if( ionic.Platform.isAndroid() )  { 
			admobid = { // for Android
			banner: 'ca-app-pub-1894797229249991/5019269469' ,
			interstitial: 'ca-app-pub-1894797229249991/5325163864'
		};
		
		// if(AdMob)	   
		   // alert("test2")
		  // AdMob.prepareInterstitial( {
			  
			 // adId:admobid.interstitial,  
			 // autoShow:true,
			 // isTesting:true,
			   // success: function(){
                          // alert('banner created');
                          // },
                          // error: function(){
                         // alert('failed to create banner');
                          // }
		  // } );

	   if(AdMob)	
		  AdMob.createBanner( {
			  
			 adId:admobid.banner, 
			 position:AdMob.AD_POSITION.BOTTOM_CENTER, 
			 autoShow:true
		  } );
		}
	  }else{
		  navigator.splashscreen.hide();
	  }
	  
	  AdMob.showInterstitial();
	}
  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:

  .state('tab.info', {
    url: '/info',
    views: {
      'tab-info': {
        templateUrl: 'templates/tab-info.html',
        controller: 'InfoCtrl'
      }
    }
  })
  
    .state('tab.info-detail-freechest', {
    url: '/detail-freechest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-freechest.html',
        controller: 'DetailCtrl'
      }
    }
  })
  
    .state('tab.info-detail-silverchest', {
    url: '/detail-silverchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-silverchest.html',
        controller: 'DetailCtrl'
      }
    }
  })

    .state('tab.info-detail-goldenchest', {
    url: '/detail-goldenchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-goldenchest.html',
        controller: 'DetailCtrl'
      }
    }
  })  
  
    .state('tab.info-detail-crownchest', {
    url: '/detail-crownchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-crownchest.html',
        controller: 'DetailCtrl'
      }
    }
  })  
  
    .state('tab.info-detail-magicalchest', {
    url: '/detail-magicalchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-magicalchest.html',
        controller: 'DetailCtrl'
      }
    }
  }) 

    .state('tab.info-detail-giantchest', {
    url: '/detail-giantchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-giantchest.html',
        controller: 'DetailCtrl'
      }
    }
  })

    .state('tab.info-detail-supermagicalchest', {
    url: '/detail-supermagicalchest',
    views: {
      'tab-info': {
        templateUrl: 'templates/info-detail-supermagicalchest.html',
        controller: 'DetailCtrl'
      }
    }
  })   

  .state('tab.chests', {
      url: '/chests',
      views: {
        'tab-chests': {
          templateUrl: 'templates/tab-chests.html',
          controller: 'ChestsCtrl'
        }
      }
    });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/chests');

});
